#!/bin/sh

hostname -F /etc/hostname
echo "hostname"

if [ -e "/mnt/flash/ApplicationData/tmp/log_on" ] 
then
syslogd -m 60 -O /mnt/flash/etc/log.txt -S -s 200 KB -b 2 &
klogd &
fi

if [ -e "/mnt/flash/etc/upgrade.sh" ]                                           
then                                                                            
        . /mnt/flash/etc/upgrade.sh                                               
        rm /mnt/flash/etc/upgrade.sh                                            
fi                                       

##-- If serial console enabled, then use the below line.
##-- /mnt/flash/bin/ip8800g > /dev/console &
cat /proc/tty/driver/sc1445x_uart  | grep DSS
if [ "$?" == "0" ] ; then
# exist DSS
	/mnt/flash/bin/ip8800g &
else
# not exist DSS
	/mnt/flash/bin/ip8800g > /dev/console &
fi

# not used H/W watchdog
#/bin/wtd &
